Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.util
Interface SignalRunnable

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  ActionProcessor, QManager, ReplayManager, SignalThread, TimeUpdate

public interface SignalRunnable
extends Runnable

This is a variant of the `Runnable` inteface to be used with the `SignalThread` class. The reason for defining a new interface is to remind implementors that the `run()` method must periodically check for signals and handle them.

Author:
  Karl Hasselström

Field Summary
`static int` | `SIGKILL` On receiving this signal, the thread should die as quickly as possible.
`static int` | `SIGNONE` This indicates that there is no pending signal.
`static int` | `SIGPAUSE` On receiving this signal, the thread should sleep until it receives a `SIGKILL` , `SIGQUIT` or `SIGRESUME` signal.
`static int` | `SIGQUIT` On receiving this signal, the thread should quit in an orderly fashion.
`static int` | `SIGRESUME` On receiving this signal, the thread should continue with its normal job, cancelling the effect of any previous `SIGPAUSE` signal.

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### SIGKILL

    public static final int SIGKILL

  On receiving this signal, the thread should die as quickly as possible.

  See Also:
    Constant Field Values

### SIGQUIT

    public static final int SIGQUIT

  On receiving this signal, the thread should quit in an orderly fashion.

  See Also:
    Constant Field Values

### SIGRESUME

    public static final int SIGRESUME

  On receiving this signal, the thread should continue with its normal job, cancelling the effect of any previous `SIGPAUSE` signal.

  See Also:
    Constant Field Values

### SIGPAUSE

    public static final int SIGPAUSE

  On receiving this signal, the thread should sleep until it receives a `SIGKILL` , `SIGQUIT` or `SIGRESUME` signal.

  See Also:
    Constant Field Values

### SIGNONE

    public static final int SIGNONE

  This indicates that there is no pending signal.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD